OK
AJAX error!

Les forumsGrammalecteError building Grammalecte

Error building Grammalecte

Je viens de cloner le repo fossil de Grammalecte en suivant ces instructions :

code.grammalecte.net…

J’ai utilisé "python3.8 make.py fr -js" au lieux de "make.py fr -js".

Après quelques minutes, je vois une erreur :

$ python3.8 make.py fr -js
[...snip...]
Unnamed rules: 0
parsing rules...
processing rules...
CPU processes used for workers: 7
125 rules in <ocr|ocr> > DARG: 351 rules, 270 nodes, 555 arcs in 0.07 s
124 rules in <purge_passe2|pp2> > DARG: 1,429 rules, 322 nodes, 656 arcs in 0.22 s
202 rules in <purge_tag_disambiguate|ptd> > DARG: 2,368 rules, 564 nodes, 1,384 arcs in 0.38 s
144 rules in <purge_passe3|pp3> > DARG: 37,214 rules, 416 nodes, 896 arcs in 6.91 s
14 rules in <purge_ponctuations2|ppc2> > DARG: 55,709 rules, 45 nodes, 142 arcs in 7.30 s
1,122 rules in <graphe2|g2> > DARG: 131,082 rules, 3,512 nodes, 14,396 arcs in 11.13 s
4,304 rules in <graphe1|g1> > DARG: 240,532 rules, 11,460 nodes, 35,568 arcs in 21.59 s
231 rules in <verbes2|gv2> > DARG: 165,109 rules, 886 nodes, 3,213 arcs in 25.59 s
765 rules in <verbes1|gv1> > DARG: 1,155,146 rules, 3,589 nodes, 18,555 arcs in 234.88 s
Total: 7031 rules, 3279 actions
Build time: 235.19 s
PYTHON:
+ Plugins: gce_analyseur.py, gce_date_verif.py, gce_suggestions.py,
+ Modules: mfsp.py, conj.py, phonet.py, phonet_data.py, tests.py, textformatter.py, conj_data.py, conj_generator.py, mfsp_data.py, lexicographe.py, locutions_data.py, cregex.py, perf.txt,
Building extension for Writer
+ OXT: rules.grx, oxt/addons.xcu, oxt/package-description.txt, oxt/_img, oxt/AppLauncher.py, oxt/Graphspell.py, oxt/Dictionnaires/dictionaries, oxt/Dictionnaires/dictionaries.xcu, oxt/ContextMenu/ContextMenu.py, oxt/ContextMenu/jobs.xcu, oxt/DictOptions, oxt/GraphicOptions, oxt/TextFormatter, oxt/Lexicographer, oxt/Conjugueur, oxt/ChangeAuthor, oxt/About,
JAVASCRIPT:
+ Plugins: gce_analyseur.js, gce_suggestions.js, gce_date_verif.js,
+ Modules: phonet_data.json, conj_generator.js, conj_data.json, phonet.js, mfsp.js, mfsp_data.json, textformatter.js, lexicographe.js, cregex.js, locutions_data.json, tests_data.json, conj.js,
Building WebExtension
sh: 1: web-ext: not found
Traceback (most recent call last):
File "make.py", line 494, in <module>
main()
File "make.py", line 441, in main
sVersion = create(sLang, xConfig, xArgs.install, xArgs.javascript, xArgs.use_cache)
File "make.py", line 293, in create
buildjs.build(sLang, dVars)
File "/home/pel/sb/grammalecte/gc_lang/fr/build.py", line 13, in build
createWebExtension(sLang, dVars)
File "/home/pel/sb/grammalecte/gc_lang/fr/build.py", line 30, in createWebExtension
helpers.moveFolderContent("_build/webext/"+sLang+"/web-ext-artifacts", "_build", "fx-"+sLang+"-", True)
File "/home/pel/sb/grammalecte/helpers.py", line 79, in moveFolderContent
for sf in os.listdir(spSrc):
FileNotFoundError: [Errno 2] No such file or directory: '_build/webext/fr/web-ext-artifacts'
Error in sys.excepthook:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 63, in apport_excepthook
from apport.fileutils import likely_packaged, get_recent_crashes
File "/usr/lib/python3/dist-packages/apport/__init__.py", line 5, in <module>
from apport.report import Report
File "/usr/lib/python3/dist-packages/apport/report.py", line 30, in <module>
import apport.fileutils
File "/usr/lib/python3/dist-packages/apport/fileutils.py", line 23, in <module>
from apport.packaging_impl import impl as packaging
File "/usr/lib/python3/dist-packages/apport/packaging_impl.py", line 24, in <module>
import apt
File "/usr/lib/python3/dist-packages/apt/__init__.py", line 23, in <module>
import apt_pkg
ModuleNotFoundError: No module named 'apt_pkg'

Original exception was:
Traceback (most recent call last):
File "make.py", line 494, in <module>
main()
File "make.py", line 441, in main
sVersion = create(sLang, xConfig, xArgs.install, xArgs.javascript, xArgs.use_cache)
File "make.py", line 293, in create
buildjs.build(sLang, dVars)
File "/home/pel/sb/grammalecte/gc_lang/fr/build.py", line 13, in build
createWebExtension(sLang, dVars)
File "/home/pel/sb/grammalecte/gc_lang/fr/build.py", line 30, in createWebExtension
helpers.moveFolderContent("_build/webext/"+sLang+"/web-ext-artifacts", "_build", "fx-"+sLang+"-", True)
File "/home/pel/sb/grammalecte/helpers.py", line 79, in moveFolderContent
for sf in os.listdir(spSrc):
FileNotFoundError: [Errno 2] No such file or directory: '_build/webext/fr/web-ext-artifacts'


Je précise que j’utilise xubuntu-18.04.4 en la dernière version
ba3c939f60 (2020-04-05 08:39:44) de grammalecte.
le 05 avril 2020 à 11:47
OK, je vois l’erreur. Ça devrait être corrigé.
le 05 avril 2020 à 12:04
Cela dit, si tu ne veux pas faire le build pour Firefox et cie, l’option `-js` est inutile.
Et si tu as besoin du build de la version 1.8.0, tu peux faire avant de lancer le make :

fossil checkout v1.8.0


et pour revenir à la dernière version :

fossil checkout trunk

le 05 avril 2020 à 12:06
J’ai fait ceci et je vois toujours une erreur :

$ fossil up
$ fossil timeline
=== 2020-04-05 ===
12:01:27 [6e76e2a47e] *CURRENT* [fr] ajustements (user: olr tags: trunk, fr)
[...snip...]

$ python3.8 make.py fr -js
[...snip...]
PYTHON:
+ Plugins: gce_analyseur.py, gce_date_verif.py, gce_suggestions.py,
+ Modules: mfsp.py, conj.py, phonet.py, phonet_data.py, tests.py, textformatter.py, conj_data.py, conj_generator.py, mfsp_data.py, lexicographe.py, locutions_data.py, cregex.py, perf.txt,
Building extension for Writer
+ OXT: rules.grx, oxt/addons.xcu, oxt/package-description.txt, oxt/_img, oxt/AppLauncher.py, oxt/Graphspell.py, oxt/Dictionnaires/dictionaries, oxt/Dictionnaires/dictionaries.xcu, oxt/ContextMenu/ContextMenu.py, oxt/ContextMenu/jobs.xcu, oxt/DictOptions, oxt/GraphicOptions, oxt/TextFormatter, oxt/Lexicographer, oxt/Conjugueur, oxt/ChangeAuthor, oxt/About,
JAVASCRIPT:
+ Plugins: gce_analyseur.js, gce_suggestions.js, gce_date_verif.js,
+ Modules: phonet_data.json, conj_generator.js, conj_data.json, phonet.js, mfsp.js, mfsp_data.json, textformatter.js, lexicographe.js, cregex.js, locutions_data.json, tests_data.json, conj.js,
Building WebExtension
sh: 1: web-ext: not found
Folder <_build/webext/fr/web-ext-artifacts> not found. Can’t move files.
Building extension for Thunderbird (MailExtension)
Traceback (most recent call last):
File "/usr/lib/python3.8/distutils/file_util.py", line 41, in _copy_file_contents
fdst = open(dst, 'wb')
FileNotFoundError: [Errno 2] No such file or directory: '~/tb-debug.profile/extensions/French-GC-TB@grammalecte.net.xpi'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "make.py", line 494, in <module>
main()
File "make.py", line 441, in main
sVersion = create(sLang, xConfig, xArgs.install, xArgs.javascript, xArgs.use_cache)
File "make.py", line 293, in create
buildjs.build(sLang, dVars)
File "/home/pel/sb/grammalecte/gc_lang/fr/build.py", line 14, in build
createMailExtension(sLang, dVars)
File "/home/pel/sb/grammalecte/gc_lang/fr/build.py", line 57, in createMailExtension
file_util.copy_file(spfZip, spExtension + "/" + dVars['tb_identifier']+ ".xpi") # Filename for TB is just <identifier.xpi>
File "/usr/lib/python3.8/distutils/file_util.py", line 151, in copy_file
_copy_file_contents(src, dst)
File "/usr/lib/python3.8/distutils/file_util.py", line 43, in _copy_file_contents
raise DistutilsFileError(
distutils.errors.DistutilsFileError: could not create '~/tb-debug.profile/extensions/French-GC-TB@grammalecte.net.xpi': No such file or directory
Error in sys.excepthook:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 63, in apport_excepthook
from apport.fileutils import likely_packaged, get_recent_crashes
File "/usr/lib/python3/dist-packages/apport/__init__.py", line 5, in <module>
from apport.report import Report
File "/usr/lib/python3/dist-packages/apport/report.py", line 30, in <module>
import apport.fileutils
File "/usr/lib/python3/dist-packages/apport/fileutils.py", line 23, in <module>
from apport.packaging_impl import impl as packaging
File "/usr/lib/python3/dist-packages/apport/packaging_impl.py", line 24, in <module>
import apt
File "/usr/lib/python3/dist-packages/apt/__init__.py", line 23, in <module>
import apt_pkg
ModuleNotFoundError: No module named 'apt_pkg'

Original exception was:
Traceback (most recent call last):
File "/usr/lib/python3.8/distutils/file_util.py", line 41, in _copy_file_contents
fdst = open(dst, 'wb')
FileNotFoundError: [Errno 2] No such file or directory: '~/tb-debug.profile/extensions/French-GC-TB@grammalecte.net.xpi'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "make.py", line 494, in <module>
main()
File "make.py", line 441, in main
sVersion = create(sLang, xConfig, xArgs.install, xArgs.javascript, xArgs.use_cache)
File "make.py", line 293, in create
buildjs.build(sLang, dVars)
File "/home/pel/sb/grammalecte/gc_lang/fr/build.py", line 14, in build
createMailExtension(sLang, dVars)
File "/home/pel/sb/grammalecte/gc_lang/fr/build.py", line 57, in createMailExtension
file_util.copy_file(spfZip, spExtension + "/" + dVars['tb_identifier']+ ".xpi") # Filename for TB is just <identifier.xpi>
File "/usr/lib/python3.8/distutils/file_util.py", line 151, in copy_file
_copy_file_contents(src, dst)
File "/usr/lib/python3.8/distutils/file_util.py", line 43, in _copy_file_contents
raise DistutilsFileError(
distutils.errors.DistutilsFileError: could not create '~/tb-debug.profile/extensions/French-GC-TB@grammalecte.net.xpi': No such file or directory


Mais si je fait :

$ python3.8 make.py fr

Alors il n’y a pas d’erreur.
le 05 avril 2020 à 14:40
Merci beaucoup d’avoir signalé ces problèmes.
Le premier était dû à une modification récente.
Le second était bien plus vieux, environ un an et demi. J’avais fait une modification à l’arrache dans une branche de développement, que j’ai fusionnée avec la racine en oubliant l’avoir faite. Et comme ça fonctionnait chez moi, je n’ai rien vu.

Cette fois, ça devrait être bon. J’ai même testé sous Linux.
le 06 avril 2020 à 11:50
Je vois toujours des erreurs "sh: 1 web-ext not found" et "Folder … not found. Can't move files", mais elles ne sont pas fatales :


python3.8 make.py fr -js
...snip...
JAVASCRIPT:
+ Plugins: gce_analyseur.js, gce_suggestions.js, gce_date_verif.js,
+ Modules: phonet_data.json, conj_generator.js, conj_data.json, phonet.js, mfsp.js, mfsp_data.json, textformatter.js, lexicographe.js, cregex.js, locutions_data.json, tests_data.json, conj.js,
Building WebExtension
sh: 1: web-ext: not found
Folder <_build/webext/fr/web-ext-artifacts> not found. Can’t move files.
Building extension for Thunderbird (MailExtension)
============== MAKE GRAMMALECTE [finished] at 19 h 11 min 34 s ==============


le 07 avril 2020 à 19:18
Tu as installé NodeJS, npm et web-ext ? Si oui, alors ce n’est pas normal (j’ai essayé sous Linux et ça fonctionne). Si tu n’as pas installé ces logiciels, oui, c’est normal que certaines choses ne passent pas.
Web-ext construit l’extension pour Firefox dans un sous-dossier, puis on déplace le contenu de ce sous-dossier dans _build, parce que ça saoule de devoir plonger dans l’arborescence pour trouver ce fichier.
le 07 avril 2020 à 19:23

Notification par e-mail    0